Bug 24374 - RFE: php syntax highlighting very poor
Summary: RFE: php syntax highlighting very poor
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vim   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-19 17:12 UTC by Dale Lovelace
Modified: 2007-03-27 03:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-19 17:12:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dale Lovelace 2001-01-19 17:12:05 UTC
If a php program is more than 100 lines long or so vim does a very poor
job with syntax highlighting. vim will "lose it's place" and stop
highlighting correctly. Changing the /usr/share/vim/vim57/syntax/php3.vim
file like this helps greatly:

@@ -208,7 +208,7 @@
 if exists("php3_minlines")
   exec "syn sync minlines=" . php3_minlines
 else
-  syn sync minlines=100
+  syn sync minlines=500
 endif
 
 if !exists("did_php3_syntax_inits")

Comment 1 Bernhard Rosenkraenzer 2001-01-22 12:14:09 UTC
Done in vim-6.0-0.21


Note You need to log in before you can comment on or make changes to this bug.